Skip to main content
GET
Get a campaign

Authorizations

api_access_token
string
header
required

This token can be obtained by visiting the profile page or via rails console. Provides access to endpoints based on the user permissions levels. This token can be saved by an external system when user is created via API, to perform activities on behalf of the user.

Path Parameters

account_id
integer
required

The numeric ID of the account

id
integer
required

Account-scoped campaign ID returned by the campaign API.

Response

Success

id
integer

Account-scoped campaign ID. Use this value in campaign API paths.

title
string
description
string | null
account_id
integer
inbox
object
sender
object

Sender details, or an empty object when no sender is assigned.

message
string
template_params
object | null
campaign_status
enum<string>
Available options:
active,
processing,
completed
campaign_type
enum<string>

Derived from the inbox type; website campaigns are ongoing and supported messaging campaigns are one-off.

Available options:
ongoing,
one_off
enabled
boolean
scheduled_at
integer

Scheduled time in Unix seconds. Only present for one-off campaigns.

started_at
integer | null

Start time in Unix seconds. Only present for one-off campaigns.

completed_at
integer | null

Completion time in Unix seconds. Only present for one-off campaigns.

audience
object[] | null

Audience for a one-off campaign. Only present for one-off campaigns.

trigger_rules
object
trigger_only_during_business_hours
boolean
created_at
string<date-time>
updated_at
string<date-time>